package checkers.quals;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import checkers.interned.InternedChecker;
import static java.lang.annotation.ElementType.*;

/**
 * Indicates that a variable has been interned, i.e., that the variable refers
 * to the canonical representation of an object.
 * 
 * <p>
 * 
 * This annotation is associated with the {@link InternedChecker}.
 * 
 * @see InternedChecker
 * @manual #interned Interned Checker
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({FIELD, LOCAL_VARIABLE, METHOD, PARAMETER, TYPE})
public @interface Interned {
    
}
