package checkers.quals;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import checkers.nonnull.NonNullChecker;
import static java.lang.annotation.ElementType.*;


/**
 * Indicates that a variable may have a null value.
 * 
 * <p>
 * 
 * This annotation is associated with the {@link NonNullChecker}.
 * 
 * @see NonNull
 * @see NonNullChecker
 * @manual #nonnull NonNull Checker
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({FIELD, LOCAL_VARIABLE, METHOD, PARAMETER, TYPE})
public @interface Nullable {

}
